From 6396dfb97f13f5fbb0ef98cd5221600b89ff889a Mon Sep 17 00:00:00 2001
From: Sam Cook <sam.lindenrathen@gmail.com>
Date: Thu, 10 Feb 2022 16:00:45 +0000
Subject: fix(kubectx): don't error on missing k8s context (#10675)

---
 plugins/kubectx/kubectx.plugin.zsh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

(limited to 'plugins')

diff --git a/plugins/kubectx/kubectx.plugin.zsh b/plugins/kubectx/kubectx.plugin.zsh
index 1419f102f..6096feeae 100644
--- a/plugins/kubectx/kubectx.plugin.zsh
+++ b/plugins/kubectx/kubectx.plugin.zsh
@@ -3,7 +3,9 @@ typeset -g -A kubectx_mapping
 function kubectx_prompt_info() {
   (( $+commands[kubectl] )) || return
 
-  local current_ctx=$(kubectl config current-context)
+  local current_ctx=$(kubectl config current-context 2> /dev/null)
+
+  [[ -n "$current_ctx" ]] || return
 
   # use value in associative array if it exists
   # otherwise fall back to the context name
-- 
cgit v1.2.3-70-g09d2